> ## Documentation Index
> Fetch the complete documentation index at: https://docs.light.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Update line item

> Updates an existing expense line item



## OpenAPI

````yaml /openapi-public.json patch /v1/expenses/{expenseId}/line-items/{lineItemId}
openapi: 3.0.1
info:
  title: Light API
  version: 1.0.0
servers: []
security:
  - apiKeyAuth: []
  - bearerAuth: []
paths:
  /v1/expenses/{expenseId}/line-items/{lineItemId}:
    patch:
      tags:
        - v1 - Expenses
      summary: Update line item
      description: Updates an existing expense line item
      operationId: updateExpenseLineItem
      parameters:
        - name: expenseId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: lineItemId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json;charset=UTF-8:
            schema:
              $ref: '#/components/schemas/UpdateExpenseLineItemRequestV1Model'
      responses:
        default:
          description: default response
          content:
            application/json;charset=UTF-8:
              schema:
                $ref: '#/components/schemas/ExternalExpenseLineItemV1Model'
components:
  schemas:
    UpdateExpenseLineItemRequestV1Model:
      type: object
      properties:
        originalAmount:
          type: integer
          format: int64
          nullable: true
        billingAmount:
          type: integer
          format: int64
          nullable: true
        accountId:
          type: string
          format: uuid
          nullable: true
        costCenterId:
          type: string
          format: uuid
          nullable: true
        description:
          type: string
          nullable: true
        reimbursementCategoryId:
          type: string
          format: uuid
          nullable: true
    ExternalExpenseLineItemV1Model:
      type: object
      properties:
        id:
          type: string
          format: uuid
        expenseId:
          type: string
          format: uuid
        originalAmount:
          type: integer
          format: int64
        billingAmount:
          type: integer
          format: int64
        accountId:
          type: string
          format: uuid
        costCenterId:
          type: string
          format: uuid
        description:
          type: string
        reimbursementCategoryId:
          type: string
          format: uuid
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: >-
        Basic authentication header of the form **Basic** **<api_key>**, where
        **<api_key>** is your api key.
      name: Authorization
      in: header
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````